Elmatajer · API docs
Customers

List customers

Everyone who registered with or ordered from the store, with their order count and paid spend.

GEThttps://elmatajer.com/api/v1/vendor/customers
Permission: customers.read

Query parameters

NameTypeRequiredDescription
qstringNoSearch name, email or phone.
segmentstringNostar (4+ orders), loyal (2–3), first, none, missed (no order for 60 days).

Request

curl "https://elmatajer.com/api/v1/vendor/customers" \
  -H "Api-Key: YOUR_API_KEY" \
  -H "Accept: application/json"

Response 200

{
    "status": "ok",
    "data": [
        {
            "id": 5801,
            "name": "Sara Elsayed",
            "email": "sara@example.com",
            "mobile": "01000000113",
            "orders_count": 3,
            "total_spent": 1240,
            "currency_code": "EGP",
            "last_order_at": "2026-10-28 03:46:12",
            "joined_at": "2026-10-25T17:19:00+03:00",
            "segment": "loyal"
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 3,
        "per_page": 20,
        "total": 48,
        "has_more": true
    }
}